<?xml version="1.0" encoding="UTF-8"?>

<!-- For assistance related to logback-translator or configuration -->
<!-- files in general, please contact the logback user mailing list -->
<!-- at http://www.qos.ch/mailman/listinfo/logback-user -->
<!-- -->
<!-- For professional support please see -->
<!-- http://www.qos.ch/shop/products/professionalSupport -->
<!-- -->
<configuration>
    <appender name="console" class="ch.qos.logback.core.ConsoleAppender">
        <encoder>
            <pattern>%d{yyyy-MM-dd HH:mm:ss.SSS} [%thread] %-5level %c:%L--&gt;%m%n</pattern>
        </encoder>
    </appender>

    <appender name="ROLL" class="ch.qos.logback.core.rolling.RollingFileAppender">
        <encoder>
            <pattern>%d{HH:mm:ss.SSS} %-5level %logger{36} [%line] - %msg%n</pattern>
        </encoder>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>logs/ncac.%d{yyyy-MM-dd}.log</fileNamePattern>
            <!--日志文件保留天数-->
            <maxHistory>60</maxHistory>
        </rollingPolicy>
    </appender>


    <!-- <logger name="org.hibernate" level="INFO" />
    <logger name="org.springframework.security" level="INFO" />
    <logger name="org.springframework" level="INFO"/>
    <logger name="org.springframework.web" level="INFO"/>
    <logger name="org.springframework.orm" level="INFO"/>
    <logger name="net.sf.ehcache" level="OFF"></logger>
    <logger name="org.apache.http" level="OFF"></logger>
    <logger name="org.apache.http.wire" level="OFF"></logger>
    <logger name="org.apache.commons.beanutils" level="ERROR"></logger>-->
    <logger name="org.apache.http" level="info"></logger>
    <logger name="org.springframework" level="info"></logger>
    <logger name="org.apache.http.wire" level="info"></logger>
    <logger name="com.alibaba.nacos" level="info"></logger>
    <logger name="org.hibernate" level="info"></logger>


    <root level="info">
        <appender-ref ref="console"/>
        <appender-ref ref="ROLL"/>
    </root>


</configuration>